﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GettingStarted.aspx.cs" Inherits="PivotFieldList.GettingStarted" %>

<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="themes/default-theme/ej.web.all.min.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.10.2.min.js"></script>
    <script src="Scripts/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/jquery.linq.js"></script>
    <script src="Scripts/pivotgrid.datasource.js"></script>
    <script src="Scripts/ej.web.all.min.js"></script>
    <script src="Scripts/ej.webform.min.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager> 
    <ej:PivotGrid ID="PivotGrid1" runat="server" OnServerExcelExporting="PivotGrid_ServerExcelExporting" ClientIDMode="Static">
        <DataSource>
            <Rows>
                <ej:Field FieldName="Country" FieldCaption="Country"></ej:Field>
                <ej:Field FieldName="State" FieldCaption="State"></ej:Field>
            </Rows>
            <Columns>
                <ej:Field FieldName="Product" FieldCaption="Product"></ej:Field>
            </Columns>
            <Values>
                <ej:Field FieldName="Amount" FieldCaption="Amount"></ej:Field>
                <ej:Field FieldName="Quantity" FieldCaption="Quantity"></ej:Field>
            </Values>
        </DataSource>
        <ClientSideEvents Load="onLoad" />
    </ej:PivotGrid>

        <div id="sampleProperties">
            <div class="prop-grid" style="padding-left: 30px">
                <div class="row" style="margin-top: 8px;margin-left:100px">
                    <div class="row" style="margin: 20px 0px 10px 20px">
                        <button id="btnExport" value="Excel" name="Excel" title="Excel Export">Export</button>
                    </div>
                </div>
            </div>
        </div>

        <script type="text/javascript">
            $(function () {
                $("#btnExport").ejButton({
                    roundedCorner: true,
                    size: "small",
                    click: "btnExportClick",
                    type: ej.ButtonType.Button,
                    contentType: "textandimage",
                    prefixIcon: "e-excel-export"
                });
            });
            function onLoad(args) {
                args.model.dataSource.data = pivot_dataset;
            }
            function btnExportClick(args) {
                var gridObj = $('#PivotGrid1').data("ejPivotGrid");
                gridObj.exportPivotGrid("ExcelExport");
            }
        </script>

        <style type="text/css">
            #PivotGrid1 {
                height: 350px;
                width: 55%;
                overflow: auto;
                float: left;
            }
        </style>
    </form>

</body>
</html>
